[ SOLVED ] How to upgrade an installed software or package?

Questions about Grub, UEFI,the liveCD and the installer
Forum rules
Before you post please read this

[ SOLVED ] How to upgrade an installed software or package?

Postby FanOfLinux on Wed Jun 25, 2014 1:59 pm

I use synaptic package manger to install nodejs.
it is version 0.10.25 on Linux Mint 17 Cinnamon, like so.
~ $ nodejs -v
v0.10.25

How do tell synaptic to download and update the latest?'
Last edited by FanOfLinux on Wed Jun 25, 2014 4:59 pm, edited 2 times in total.
Dual boot : 64-bits LinuxMint 17, Cinnamon & Win 7
FanOfLinux
Level 1
Level 1
 
Posts: 48
Joined: Mon Apr 28, 2014 1:23 pm

Linux Mint is funded by ads and donations.
 

Re: How to upgrade an installed software or package?

Postby kc1di on Wed Jun 25, 2014 2:24 pm

Hi FanOfLinux,

I'm Afraid that version 0.10.25 is the latest version in the repositories at this time. So it would not be possible to upgrade it until a newer version is packaged.
nodejs version 0.10.29 is out but you would have to build it from Source code. It has not been packaged for Mint yet.

There could be any number of reason for that. including incompatibility with other software in Mint 17.

See this page for source code if you want to try to build it yourself. http://nodejs.org/download/
You can download a .deb package from debian sid, but it may break other things on your system.
That package is found here: https://packages.debian.org/sid/nodejs
good luck
John 3:16
Morse code an Early
Digital Mode
Registered Linux User #462608
Image
User avatar
kc1di
Level 6
Level 6
 
Posts: 1429
Joined: Mon Sep 08, 2008 8:44 pm
Location: Maine USA

Re: How to upgrade an installed software or package?

Postby gtsfer on Wed Jun 25, 2014 2:25 pm

Synaptic might now show the most current version because it has not been tested and "approved" for LM 17 Cinnamon yet. Or there may be a compatibility issue. I also noticed on the nodejs website that v 0.10.29 is the latest.

On my system (which is Linux Mint Debian) the installable version of nodejs shows up as v 0.10.21~dfsg1-1. Since you have it installed already you may (or may not) be able to do Package -> Force Version in synaptic, but I sort of doubt it for higher versions.

You could always download the newest from nodejs website and install it manually. But I'm not going to recommend that. I am sure there is a reason why that version shows up for LM 17. You could easily break something or open up a big can of worms with more issues that you would like.
There is a time for laughing and a time for not laughing. And this is not one of them! ...Chief Inspector Jacques Clouseau
LMDE 64-bit MATE Edition
Please edit your first post Edit and add [SOLVED] to the Subject if you get it resolved.
User avatar
gtsfer
Level 5
Level 5
 
Posts: 996
Joined: Mon May 27, 2013 9:15 am
Location: Bucks County PA, USA

Re: How to upgrade an installed software or package?

Postby FanOfLinux on Wed Jun 25, 2014 3:01 pm

OK. But I notice gtsfer has a different version than mine.
Since all LM flavors are based on ubuntu and they both also on Debian, nodejs version 0.10.25
should be available for gtsfer's Linux Mint. right?

Why is his update manager not updating nodejs to 0.10.25?
Last edited by FanOfLinux on Wed Jun 25, 2014 3:15 pm, edited 1 time in total.
Dual boot : 64-bits LinuxMint 17, Cinnamon & Win 7
FanOfLinux
Level 1
Level 1
 
Posts: 48
Joined: Mon Apr 28, 2014 1:23 pm

Re: How to upgrade an installed software or package?

Postby gtsfer on Wed Jun 25, 2014 3:13 pm

No, I'm running LMDE. Linux Mint Debian. It's not based on Ubuntu at all, it is based right on Debian.

Your Linux Mint is based on Ubuntu which is then based on Debian so that's why there's different versions showing up in your Synaptic vs. mine. It has to do with what versions are tested against what packages.

Btw I don't have nodejs installed. I just took a peek at it in Synaptic so I could make it sound like I know what I'm talking about. :lol:
There is a time for laughing and a time for not laughing. And this is not one of them! ...Chief Inspector Jacques Clouseau
LMDE 64-bit MATE Edition
Please edit your first post Edit and add [SOLVED] to the Subject if you get it resolved.
User avatar
gtsfer
Level 5
Level 5
 
Posts: 996
Joined: Mon May 27, 2013 9:15 am
Location: Bucks County PA, USA


Return to Installation & Boot

Who is online

Users browsing this forum: Kuroi Neko, MM007 and 17 guests